read.GenBank {ape} | R Documentation

## Read DNA Sequences from GenBank via Internet

### Description

This function connects to the GenBank database, and reads nucleotide sequences using accession numbers given as arguments.

### Usage

    read.GenBank(access.nb, seq.names = access.nb, species.names = TRUE,
                 gene.names = FALSE, as.character = FALSE)

### Arguments

`access.nb` | a vector of mode character giving the accession numbers.
`seq.names` | the names to give to each sequence; by default the accession numbers are used.
`species.names` | a logical indicating whether to attribute the species names to the returned object.
`gene.names` | a logical indicating whether to attribute the gene names to the returned object. It is `FALSE` by default because this will work correctly only when reading sequences with a single gene.
`as.character` | a logical controlling whether to return the sequences as an object of class `"DNAbin"` (the default).

### Details

The function uses the site http://www.ncbi.nlm.nih.gov/ from where the sequences are downloaded.

If `species.names = TRUE`, the returned list has an attribute `"species"` containing the names of the species taken from the field “ORGANISM” in GenBank.

If `gene.names = TRUE`, the returned list has an attribute `"gene"` containing the names of the gene. This will not work correctly if reading a sequence with multiple genes (e.g., a mitochondrial genome).

### Value

A list of DNA sequences made of vectors of class `"DNAbin"`, or of single characters (if `as.character = "TRUE"`).

### Author(s)

Emmanuel Paradis

### See Also

`read.dna`, `write.dna`, `dist.dna`, `DNAbin`

### Examples

    ### This won't work if your computer is not connected
    ### to the Internet
    ###
    ### Get the 8 sequences of tanagers (Ramphocelus)
    ### as used in Paradis (1997)
    ref <- c("U15717", "U15718", "U15719", "U15720",
             "U15721", "U15722", "U15723", "U15724")
    ### Copy/paste or type the following commands if you
    ### want to try them.
    ## Not run:
    Rampho <- read.GenBank(ref)
    ### get the species names:
    attr(Rampho, "species")
    ### build a matrix with the species names and the accession numbers:
    cbind(attr(Rampho, "species"), names(Rampho))
    ### print the first sequence
    ### (can be done with `Rampho$U15717' as well)
    Rampho[[1]]
    ### print the first sequence in a cleaner way
    cat(Rampho[[1]], "\n", sep = "")

    ## End(Not run)

[Package ape version 3.5 Index]